summaryrefslogtreecommitdiffstats
path: root/source/kde/KDE_extra.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/kde/KDE_extra.SlackBuild
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/kde/KDE_extra.SlackBuild')
-rwxr-xr-xsource/kde/KDE_extra.SlackBuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/source/kde/KDE_extra.SlackBuild b/source/kde/KDE_extra.SlackBuild
new file mode 100755
index 000000000..9b702457d
--- /dev/null
+++ b/source/kde/KDE_extra.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Build (and install) all KDE "extra" packages.
+# Written for Slackware by volkerdi@slackware.com.
+# Modified for KDE4 by Robby Workman <rworkman@slackware.com>
+# Modified for KDE4 by Eric Hameleers <alien@slackware.com>
+
+# Set the config option variables if they are not already set:
+[ -r ./KDE.options ] && . ./KDE.options
+
+# This avoids compiling a version number into KDE's .la files:
+QTDIR=/usr/lib${LIBDIRSUFFIX}/qt ; export QTDIR
+
+# Get the kde environment variables
+[ -d kdebase ] && eval $(sed -e "s#/lib#/lib${LIBDIRSUFFIX}#" ./kdebase/profile.d/kde.sh)
+
+KDEMODS=" \
+ kdevplatform \
+ kdevelop \
+ konq-plugins \
+ guidance-power-manager \
+ kopete-cryptography \
+ ktorrent \
+ skanlite \
+ koffice \
+ kaudiocreator \
+ amarok \
+ k3b"
+
+# Allow for specification of individual packages to be built:
+if [ -z "$1" ]; then
+ MODQUEUE=$KDEMODS
+else
+ MODQUEUE=$*
+fi
+
+for module in \
+ $MODQUEUE ;
+do
+ cd $module
+ ./$module.SlackBuild
+ if [ $? = 0 ]; then
+ # Yes, I will build with the fresh packages installed:
+ upgradepkg --install-new --reinstall /tmp/${module}-*.txz
+ # Keep MIME database current:
+ /usr/bin/update-mime-database /usr/share/mime 1> /dev/null 2> /dev/null &
+ rm -rf /tmp/package-${module} /tmp/${module}-$VERSION
+ else
+ echo "${module} failed to build."
+ exit 1
+ fi
+ cd - ;
+done
+